---
updatedAt: 2025-11-11T00:09:29.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/v1.1/llms.txt
---

# Purchase [Recurrents]

This endpoint is used to purchase a subscription to a recurring product.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "accept-payments-new",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://qa.interswitchng.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/api/v3/purchases/recurrents": {
      "post": {
        "summary": "Purchase [Recurrents]",
        "description": "This endpoint is used to purchase a subscription to a recurring product.",
        "operationId": "purchase-recurrents",
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string",
              "default": "Bearer {{AccessToken}}"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "customerId",
                  "amount",
                  "currency",
                  "token",
                  "tokenExpiryDate",
                  "transactionRef"
                ],
                "properties": {
                  "customerId": {
                    "type": "string",
                    "description": "The ID of the customer who is purchasing the subscription."
                  },
                  "amount": {
                    "type": "string",
                    "description": "The amount of money that the customer is paying for the subscription."
                  },
                  "currency": {
                    "type": "string",
                    "description": "The currency of the payment."
                  },
                  "token": {
                    "type": "string"
                  },
                  "tokenExpiryDate": {
                    "type": "string",
                    "description": "The expiration date of the payment token."
                  },
                  "transactionRef": {
                    "type": "string",
                    "description": "A unique reference for the transaction."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"transactionIdentifier\": \"HBP|API|MX1209|27-07-2018|249915|579180\",\n    \"message\": \"Approved by Financial Institution\",\n    \"amount\": \"90.00\",\n    \"transactionRef\": \"JB-1532675715-ReccPurch\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "transactionIdentifier": {
                      "type": "string",
                      "example": "HBP|API|MX1209|27-07-2018|249915|579180"
                    },
                    "message": {
                      "type": "string",
                      "example": "Approved by Financial Institution"
                    },
                    "amount": {
                      "type": "string",
                      "example": "90.00"
                    },
                    "transactionRef": {
                      "type": "string",
                      "example": "JB-1532675715-ReccPurch"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --location 'https://qa.interswitchng.com/api/v3/purchases/recurrents' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.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.DQ_M2DS8rG053MieoqJqZPJmhBxJS0vpbH8ElKr4NpcleD_dXujRioWugbJFfjPgOD3pD9eKklESw0OtO02C3g1fpsUOOFifyFfOkT-xcalsbsAKezl3hYwJJeA5qEc-YXsKaSzIfauxTpPXnEHs1abFkCkaBx4W4XAhUqAvfePVLG9ojWr2iwWtjyrHMXsBrcnVI1av62IJvkWDSy7e6a2QMZY9VH8Fr04MXy-7ZWiaPTEMEZOV2gEzV7I7iDqaHxPrwUC8-B-z9oSfhmk6dz_s3xIwwWh7_-99Da_b-l0OrZMtx6PFraP9ws2o7RK4IIwGkYWQ-Cr4P-PdZ1aruQ' \\\n--header 'Cookie: TS01824437=011087ef4c4933f35402d7c635a6c5bfb3826ea486e723c8dc4f3710d019e9ad859178fd526f9c6a45ef5a34ce7ee2616a803862d7' \\\n--data '{\n    \"customerId\": \"CustID-dfew\",\n    \"amount\": \"90\",\n    \"currency\":\"NGN\",\n    \"token\": \"51234xxxxxxx7082\",\n    \"tokenExpiryDate\": \"5003\",\n    \"transactionRef\": \"AIRTEL_6219610943i533996ratlbunspd8z2\"\n}'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```